package tiedosto;

import java.io.*;
/**
 * Ohjelmalla lasketaan tiedostossa olevien sanojen
 * esiintymismri.
 *<pre>
 * Tarvitaan luokat:
 * Sana
 * - lis laskuria
 * - tunnista sana
 *
 * Sanat
 * - lue tiedosto
 * - etsi sana
 * - ptki rivi
 *
 * Algoritmi:
 * 1) Lue tiedostosta rivi.
 * 2) Ptki rivi sanoiksi
 * 3) Lis kunkin sanan esiintymismr yhdell
 *      - jos sanaa ei viel ole ennestn, lis sana
 * 4) jatka 1) kunnes koko tiedosto ksitelty
 *
 *</pre>
 * @author Vesa Lappalainen
 * @version 1.0, 21.02.2003
 */
public class Sanalaskuri {

  /** @param args tiedoston nimi */
  public static void main(String[] args)  {
    String nimi = "sanat.txt";
    if ( args.length > 0 ) nimi = args[0];
      
    long start = System.currentTimeMillis();  
    long t=0;
    Sanat sanat = new Sanat();
    // SanatSortedMap sanat = new SanatSortedMap();
    // SanatMapGen sanat = new SanatMapGen();
    try {
      sanat.lueTiedostoJaLaske(nimi);
      t = System.currentTimeMillis() - start;
    }
    catch (IOException ex) {
      System.err.println("Virhe: " + ex);
    }
    
    sanat.tulosta(System.out);
    System.out.printf("Aikaa kului: %5.3f s",t/1000.0);
  }
}
